Subject: Re: [PATCH net-next v3 07/12] net: stmmac: Remove some unnecessary void pointers

From: Simon Horman <[email-masked]>
Date: Sat, 1 Apr 2023 16:49:30 +0200

On Fri, Mar 31, 2023 at 04:45:44PM -0500, Andrew Halaney wrote:
> There's a few spots in the hardware interface where a void pointer is
> used, but what's passed in and later cast out is always the same type.
> 
> Just use the proper type directly.
> 
> Signed-off-by: Andrew Halaney <[email-masked]>
> ---
> 
> Changes since v2:
>     * New patch. In later patches refactoring hwif.h I touched these in
>       their first form (which was later dropped) and changed this as
>       part of that. But I thought the change was still good overall,
>       so I left this improvement in the series.

FWIIW, I am very pleased to see this kind of change.

Reviewed-by: Simon Horman <[email-masked]>